Package fr.gouv.vitam.workspace.api.exception

# Class WorkspaceClientServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.workspace.api.exception.ContentAddressableStorageException
fr.gouv.vitam.workspace.api.exception.WorkspaceClientServerException

All Implemented Interfaces:
  `Serializable`

public class WorkspaceClientServerException extends ContentAddressableStorageException
Thrown when there is an error on a zip file resource (format, etc).

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkspaceClientServerException(String message)`
  Constructor
  `WorkspaceClientServerException(String message, Throwable cause)`
  Constructor
  `WorkspaceClientServerException(Throwable cause)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLogbookTypeProcess()`
  `String`
  `getWorkflowIdentifier()`
  `void`
  `setLogbookTypeProcess(String logbookTypeProcess)`
  `void`
  `setWorkflowIdentifier(String workflowIdentifier)`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkspaceClientServerException

    public WorkspaceClientServerException(String message)
    Constructor
    Parameters:
      `message` - as String message to associate with the exception

  - ### WorkspaceClientServerException

    public WorkspaceClientServerException(Throwable cause)
    Constructor
    Parameters:
      `cause` - as String to associate with the exception

  - ### WorkspaceClientServerException

    public WorkspaceClientServerException(String message, Throwable cause)
    Constructor
    Parameters:
      `message` - the exception message as String
      `cause` - the cause of exception as String

- ## Method Details

  - ### getWorkflowIdentifier

    public String getWorkflowIdentifier()

  - ### setWorkflowIdentifier

    public void setWorkflowIdentifier(String workflowIdentifier)

  - ### getLogbookTypeProcess

    public String getLogbookTypeProcess()

  - ### setLogbookTypeProcess

    public void setLogbookTypeProcess(String logbookTypeProcess)